FruxonDocs
ApiKnowledge bases

Lists a knowledge base's upgrades of its own agents, newest first.

Each upgrade with its status, what it is doing or waiting for, the revisions it replaced and deployed, and whether it can still be rolled back.

GET
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}/upgrades
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08/upgrades"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "ownerKind": "KNOWLEDGE_SOURCE",
      "ownerId": "00000000-0000-0000-0000-000000000000",
      "recipeKey": "string",
      "fromVersion": 0,
      "toVersion": 0,
      "status": "PLANNED",
      "failedDuring": "PLANNED",
      "detail": "string",
      "wasActive": false,
      "canRollBack": false,
      "work": {
        "agents": [],
        "automation": null,
        "drainStageIds": []
      },
      "revisionsBefore": {},
      "revisionsAfter": {},
      "created": [],
      "requestedBy": "string",
      "createdAt": 0,
      "modifiedAt": 0,
      "appliedAt": 0,
      "confirmedAt": 0,
      "rolledBackAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}